OpenAIMar 5, 2026
GPT-5.4
GPT-5.4, the successor to GPT-5.2, is a frontier model in the GPT-5 series with a 1M+ context window, offering improved agentic and long context performance. It uses adaptive reasoning to dynamically allocate computation across tasks.
$2.50/$15.00
per 1M in / out
1M
context window
128K
max output
Quickstart
OpenAI-compatible: point any OpenAI SDK at the Venice base URL with a Venice API key.
curl https://api.venice.ai/api/v1/responses \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "openai-gpt-54",
"input": "Explain TEE attestation in two sentences.",
"reasoning": { "effort": "high" }
}'Base URL
https://api.venice.ai/api/v1Parameters
| Parameter | Values |
|---|---|
model | openai-gpt-54 |
messages | text · image_url |
max_completion_tokens | Up to 131,072 |
reasoning_effort | none | low | medium | high | xhigh |
tools | Function definitions |
response_format | { type: |
stream | true | false |
venice_parameters.enable_web_search | auto | on | off |
Capabilities
What the model takes in, returns and supports through the API.
InTextImage
OutText
Streaming
Function callingstream: truetoolsStructured outputsresponse_formatReasoningreasoning_effort none · low · medium · high · xhighVisionUp to 10 imagesWeb search
Prompt cachingReads at $0.25enable_web_searchNot supportedvideo input, audio input, X search and log probabilities
Pricing
Billed per token in USD. Reasoning tokens bill as output.
Input$2.50per 1M tokens
Cached input$0.2590% off input
Output$15.00per 1M tokens
Estimate a workload
$0.0125per request
$125for 10,000 requests
Blended price against similar models
Specs
- Model ID
openai-gpt-54- Endpoint
POST /api/v1/responses- Context window
- 1,000,000 tokens
- Max output
- 131,072 tokens
- Reasoning
none · low · medium · high · xhigh· default high- Precision
- Set by the provider
- Privacy
- Anonymized
- Weights
- Closed
- Added
- Mar 5, 2026
Compare
| Model | Input | Output |
|---|---|---|
| GPT-5.4 | $2.50 | $15.00 |
| Gemini 3.1 Pro Preview | $2.50 | $15.00 |
| Claude Sonnet 4.6 | $3.00 | $15.00 |
| Aion 3.0 | $3.75 | $7.50 |
| DeepSeek V4.1 Flash 1017 Ultrafast | $3.00 | $12.00 |